Customer - Add Note
curl --request POST \
--url https://api.skulabs.com/customer/add_note \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "507f1f77bcf86cd799439011",
"note": "<string>"
}
'import requests
url = "https://api.skulabs.com/customer/add_note"
payload = {
"id": "507f1f77bcf86cd799439011",
"note": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({id: '507f1f77bcf86cd799439011', note: '<string>'})
};
fetch('https://api.skulabs.com/customer/add_note', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"customer": {
"_id": "507f1f77bcf86cd799439011",
"name": "<string>",
"company": "<string>",
"phone": "<string>",
"email": "<string>",
"address": {},
"notes": [
{
"user_id": "507f1f77bcf86cd799439011",
"time": "2025-01-15T12:00:00.000Z",
"note": "<string>"
}
],
"price_lists": [
"<string>"
],
"tags": [
"507f1f77bcf86cd799439011",
"507f1f77bcf86cd799439012"
],
"log": [
{
"user_id": "507f1f77bcf86cd799439011",
"action": "<string>",
"details": {},
"time": "2025-01-15T12:00:00.000Z"
}
],
"store_id": "507f1f77bcf86cd799439011"
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}Customer
Customer - Add Note
Add a note to a customer record.
POST
/
customer
/
add_note
Customer - Add Note
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Note added, returns updated customer
Customer object with full details
Show child attributes
Show child attributes
⌘I